/*
 * Message handling for libisofs
 */

#ifndef MESSAGES_H_
#define MESSAGES_H_

#include "libdax_msgs.h"

/** Unsupported image feature */
#define LIBISO_IMG_UNSUPPORTED		0x00031000
/** Unsupported Vol Desc that will be ignored */
#define LIBISO_UNSUPPORTED_VD		0x00031001
/** damaged image */
#define LIBISO_WRONG_IMG			0x00031002

/* Unsupported SUSP entry */ 
#define LIBISO_SUSP_UNHANLED		0x00030101
/* Wrong SUSP entry, that cause RR to be ignored */
#define LIBISO_SUSP_WRONG			0x00030102
/* Unsupported multiple SUSP ER entries where found */ 
#define LIBISO_SUSP_MULTIPLE_ER		0x00030103
/** Unsupported RR feature. */
#define LIBISO_RR_UNSUPPORTED		0x00030111
/** Error in a Rock Ridge entry. */
#define LIBISO_RR_ERROR				0x00030112

void iso_msg_debug(char *msg_text);

void iso_msg_hint(int error_code, char *msg_text);

void iso_msg_warn(int error_code, char *msg_text);

void iso_msg_sorry(int error_code, char *msg_text);

void iso_msg_fatal(int error_code, char *msg_text);

#endif /*MESSAGES_H_*/
